Push Samples
curl --request POST \
--url https://api.primeintellect.ai/api/v1/evaluations/{evaluation_id}/samples \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"samples": [
{}
]
}
'import requests
url = "https://api.primeintellect.ai/api/v1/evaluations/{evaluation_id}/samples"
payload = { "samples": [{}] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({samples: [{}]})
};
fetch('https://api.primeintellect.ai/api/v1/evaluations/{evaluation_id}/samples', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluation_id": "<string>",
"samples_pushed": 123
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}evals
Push Samples
Push evaluation samples
This endpoint can be called multiple times to stream samples as they’re generated.
POST
/
api
/
v1
/
evaluations
/
{evaluation_id}
/
samples
Push Samples
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request to push evaluation samples (replaces traces)
List of evaluation samples
Was this page helpful?
⌘I